D4Science Infrastructure - Incident #13162
Bad Request message from the server if | try to access the VRE using the EOSC AAl service.

Jan 17,2019 12:27 PM - Massimiliano Assante

Status: Closed Start date: Jan 17,2019
Priority: High Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: Other Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

The issue was reported from @giuseppe.larocca@egi.eu

I kindly ask Giuseppe to provide more details about the issue encountered.

History

#1 - Jan 17, 2019 12:42 PM - Andrea Dell'Amico

Yes, we need details because | cannot reproduce it. | just tried logging in using Google as the authentication provider and it worked.
Also, nothing changed on our side since we introduced the functionality.

#2 - Jan 17,2019 01:20 PM - Giuseppe La Rocca
Hi,

If | access directly with Google IdP, it works. The server replies with a Bad Request message when | try to access with the EOSC AAI (and select EGI
SSO as IdP).

Cheers, Giuseppe

#3 - Jan 17, 2019 02:47 PM - Massimiliano Assante

- Status changed from New to In Progress

- % Done changed from 0 to 50

Giuseppe | think there might be issues with EGI SSO only. At least in my case when | try to access with the EOSC AAl (and select EGI SSO as IdP).

To show you the issue better | realised 3 very small videos accessing with the EOSC AAIl and selecting 3 different IdP, namely CNR, ORCID and EGI
SSO. You will see that in the case of EGI SSO there is no error but there is no redirect to D4Science.

Please find the videos in the following:
e National Research Council (CNR): https://www.screencast.com/t/G4hKdjous

e ORCIiD: https://www.screencast.com/t/n5BOsBHQPXFX
e EGI SSO: https://www.screencast.com/t/OEDactRVTh

Please let us know what could be the issue in this case

#4 - Jan 17, 2019 03:59 PM - Giuseppe La Rocca

I've asked other EGI colleagues to login with their SSO accounts. All of them have the same issue, even if they have cleaned the cache of of their
browsers. | will ask Nicolas Liampotis whether there are any errors in the server log. | will keep you posted.

About your last video, since it is the first time that you've used your EGI SSO account to login, you are not member of the EGI community yet. You
should complete the subscription, following the registration process as indicated by the EGI AAl service.

#5 - Jan 17, 2019 05:10 PM - Massimiliano Assante
- File Landing page 1.png added

- File Landing page 2.png added

- File EGI User Account.png added

#7 - Jan 17, 2019 05:43 PM - Massimiliano Assante
- File EGI User Account.png added
- File Landing page 1.png added
- File Landing page 2.png added

About your last video, since it is the first time that you've used your EGI SSO account to login, you are not member of the EGI community yet.
You should complete the subscription, following the registration process as indicated by the EGI AAl service.

Thank you @giuseppe.larocca@egi.eu for looking into this, to check also what is happening on out side I'm trying to finalise the EGI SSO account,
but even if it seems to me (see attached image) that Im affiliated as Member | still don't get redirected. | arrive to the page of the video and the menu
above suggested don't help in letting me trough.See landing page 1 and 2 files attached.

#8 - Jan 21, 2019 04:54 PM - Andrea Dell'Amico
- Status changed from In Progress to Closed

- % Done changed from 50 to 100

The error was due to a very big eduPersonEntitlement field. To make the account work, on @nikosev@admin.grnet.gr suggestion, | commented the
‘eduPersonEntitlement’ in the shibboleth attribute map.

We could enable that entry again when we are able to process bigger requests. A couple of suggestions:

http://tomcat.apache.org/connectors-doc/reference/workers.html (suited for mod_jk, that we do not use)
https://stackoverflow.com/a/1730514/7110280

For reference, the errors in the apache logs were:

[Thu Jan 17 16:10:54.289677 2019] [proxy_ajp:error] [pid 10609:tid 139679930476288] (120001)APR does not under
stand this error code: [client 146.48.122.115:42344] AH00868: request failed to (null) (*), referer: https://a
ai.egi.eu/proxy/module.php/consent/getconsent.php?saveconsent=1&StateId=_d8af67daf37££23261a989258c3e3601bfe40
05a39%3Ahttps$3A%2F%2Faal.egl.eu%2Fproxy%$2Fsaml2%2Fidp%$2FSSOService . .php%3Fspentityid%$3Dhttps%$253A%252F%252Fshi
bbolet-sp.d4science.org%$252Fshibboleth%26cookieTime$3D1547737834%26RelayState%$3Dss%$253Amem%$253A63571ded49¢c59697
9a5344a19639e92ala86a699d07d2a4c8cefldfbddd0£5399&yes=

[Fri Jan 18 13:18:42.804806 2019] [proxy_ajp:error] [pid 10609:tid 139679642904320] [client 146.48.122.115:480
77] AHO0981: ajp_marshal_into_msgb: Error appending attribute AJP_eduPersonEntitlement=urn:mace:egi.eu:group:e
osc-hub-all#sso.egi.eu;urn:mace:egi.eu:group:ssb#sso.egi.eu;urn:mace:egi.eu:group:EO-PoC#sso.egi.euj;urn:mace:e
gi.eu:group:egi-software-provisioning-support#sso.egi.eu;urn:mace:egi.eu:group:change-mgmnt#sso.egi.eu;urn:mac
e:egl.eu:group:ims-so#sso.egi.eu;urn:mace:egi.eu:group:tcb-cloud#sso.egi.eu;urn:mace:egi.eu:group:openstack-oc
ci-support#sso.egi.eu;urn:mace:egi.eu:group:egi-engage-members#sso.egi.eu;urn:mace:egi.eu:group:vm-operators#s
so.egl.eujurn:mace:egi.eu:group:staged-rollout#sso.egi.eu;urn:mace:egi.eu:group:techops#sso.egi.eu;urn:mace:eg
i.eu:group:cc-lifewatch#sso.egi.eu;urn:mace:egi.eu:group:sw-rel-gc#sso.egi.eu;urn:mace:egi.eu:group:cloud-comp
utef#sso.egi.eu;urn:mace:egi.eu:group:cc-disastermitigation#sso.egi.eu;urn:mace:egi.eu:group:egi-eudat#sso.egi.
eu;urn:mace:egi.eu:group:fc-information-discovery#sso.egi.eujurn:mace:egi.eu:group:cc-epos#sso.egi.eu;urn:mace
regil.eu:group:service-orders#sso.egi.eu;urn:mace:egi.eu:group:vt-feddata#sso.egi.eu;urn:mace:egi.eu:group:sw-r
el-sr#sso.egi.eu;urn:mace:egi.eu:group:svg-rat#sso.egi.eu;urn:mace:egi.eu:group:cc-dariah#sso.egi.eu;urn:mace:
egi.eu:group:egi-engage-wp4d#sso.egi.eu;urn:mace:egi.eu:group:egi-engage-wp6#sso.egi.eu;urn:mace:egi.eu:group:u
md-team#sso.egi.eu;urn:mace:egi.eu:group: fedcloud-tf#sso.egi.eu;urn:mace:egi.eu:group: fondacloud#sso.egi.eu;ur
n:mace:egi.eu:group:fc-federated-aaif#sso.egi.eu;urn:mace:egi.eu:group: fedcloud-develf#sso.egi.eu;urn:mace:egi.e
u:group:EOSC-hub-access#sso.egi.eu;urn:mace:egi.eu:group:UCB-discuss#sso.egi.eu;urn:mace:egi.eu:group: fc-users
upport#sso.egi.eu;urn:mace:egi.eu:group:cc-elixir#sso.egi.eu;urn:mace:egi.eu:group:csirt#sso.egi.eu;urn:mace:e
gi.eu:group:noc-managers#sso.egi.eu;urn:mace:egi.eu:group:nagios—-discuss#sso.egi.eu;urn:mace:egi.eu:group:ggus
—authors#sso.egi.eu;urn:mace:egi.eu:group:cc-bbmri#sso.egi.eu;urn:mace:egi.eu:group:egi-engage-wp6.l#sso.egi.e
uj;urn:mace:egi.eu:group:vt-funded-all#sso.egi.eu;urn:mace:egi.eu:group:egi-engage-wp4.3#sso.egi.eu;urn:mace:eg
i.eu:group:egi-engage-wp4.2#sso.egi.eu;urn:mace:egi.eu:group:appdb-atb#sso.egi.eu;urn:mace:egi.eu:group:VM-ima
ge—endorsement#sso.egi.eujurn:mace:egi.eu:group:service-request#sso.egi.eu;urn:mace:egi.eu:group:urt-discuss#s
so.egil.eu;urn:mace:egi.eu:group:ngi-international-liaisons#sso.egi.eu;urn:mace:egi.eu:group:tcb-coreinfrastruc
ture#sso.egi.eu;urn:mace:egi.eu:group:hbp#sso.egi.eu;urn:mace:egi.eu:group:vm-endorsers#sso.egi.eu;urn:mace:eg
i.eu:group:esa-teiss#sso.egi.eu;urn:mace:egi.eu:group:notebooks-support#sso.egi.eu;urn:mace:egi.eu:group: fedcl
oud-security-contact#sso.egi.eu;urn:mace:egi.eu:group:cloud-compute_watchers#sso.egi.euj;urn:mace:egi.eu:group:
mpi-support#sso.egi.eu;urn:mace:egi.eu:group: fedcloud-users#sso.egi.eu;urn:mace:egi.eu:group:galaxy-jupyter-pi
lots#sso.egi.eu;urn:mace:egi.eu:group:vt-gapf#sso.egi.eu;urn:mace:egi.eu:group:wiki-editors#sso.egi.eu;urn:mac
e:egl.eu:group:report-vulnerability#sso.egi.eu;urn:mace:egi.eu:group:egi-emso#sso.egi.eu;urn:mace:egi.eu:group
:inspire-members#sso.egi.eu;urn:mace:egi.eu:group:sw-rel-admin#sso.egi.eu;urn:mace:egi.eu:group:engage-report#
sso.egi.eu;urn:mace:egi.eu:group: fedcloud-integration#sso.egi.eu;urn:mace:egi.eu:group:egi-pay-for-use#sso.egi
.eu;urn:mace:egi.eu:group:author-e#sso.egi.eu;urn:mace:egi.eu:group:Copernicus-EGI#sso.egl.eu;urn:mace:egi.eu:
group:egi-engage-wpb6.2#sso.egi.eu;urn:mace:egi.eu:group:vt-funded-leaders#sso.egi.eu;urn:mace:egi.eu:group:TCB
—-AAI#sso.egi.euj;urn:mace:egi.eu:group:inspire-sal#sso.egi.eu;urn:mace:egi.eu:group:tcb-discuss#sso.egi.eu;urn:
mace:egi.eu:group:otag#sso.egi.eu;urn:mace:egi.eu:group:EGI-Security-Assessment#sso.egi.eu;urn:mace:egi.eu:gro
up:cc-mobrain#sso.egi.eu;urn:mace:egi.eu:group:eduroam#sso.egi.eu;urn:mace:egi.eu:group: fc-vm-management#sso.e
gi.euj;urn:mace:egi.eu:group:ict7-editorial-board#sso.egi.eu;urn:mace:egi.eu:group:office#sso.egi.eu;urn:mace:e

May 02, 2025 2/3


http://tomcat.apache.org/connectors-doc/reference/workers.html
https://stackoverflow.com/a/1730514/7110280

gi.eu:group:technical-support—-cases#sso.egi.eu;urn:mace:egi.eu:group:requirements#sso.egi.eu;urn:mace:egi.eu:qg
roup:cloud#sso.egi.eu;urn:mace:egi.eu:group:spg-discuss#sso.egi.eu;urn:mace:egi.eu:group:cc-eiscat3d#sso.egi.e
u;urn:mace:egi.eu:group:slipstream#sso.egi.eu;urn:mace:egi.eu:group:svg-discuss#sso.egi.euj;urn:mace:egi.eu:gro
up: fc-vm-image-management#sso.egi.eu;urn:mace:egi.eu:group: IMS#sso.egi.eu;urn:mace:egi.eu:www.egi.eu:eosc-hub-
all:member@egi.eu;urn:mace:egi.eu:www.egi.eu:ssb:memberfegi.eu;urn:mace:egi.eu:www.egi.eu:EO-PoC:memberfegi.eu
jurn:mace:egi.eu:www.egi.eu:egi-software-provisioning-support:member@egi.eu;urn:mace:egi.eu:www.egi.eu:change-
mgmnt :member@egi.eu;urn:mace:egi.eu:www.egi.eu:ims-so:member@egi.eu;urn:mace:egi.eu:www.egi.eu:tcb-cloud:membe
r@egi.eujurn:mace:egi.eu:www.egi.eu:openstack-occi-support :member@egi.eu;urn:mace:egi.eu:www.egi.eu:egi-engage
-members:member@egi.eu;urn:mace:egi.eu:www.egi.eu:vm-operators:memberf@egi.eu;urn:mace:egi.eu:www.egi.eu:staged
—-rollout:member@egi.eu;urn:mace:egi.eu:www.egi.eu:techops:member@egi.eu;urn:mace:egi.eu:www.egi.eu:cc-lifewatc
h:member@egi.eu;urn:mace:egi.eu:www.egi.eu:sw-rel-gc:member@egi.eu;urn:mace:egi.eu:www.egi.eu:cloud-compute:me
mber@egi.euj;urn:mace:egi.eu:www.egi.eu:cc-disastermitigation:member@egi.eu;urn:mace:egi.eu:www.egi.eu:egi-euda
t:member@egi.eu;urn:mace:egi.eu:www.egi.eu:fc-information-discovery:member@egi.eu;urn:mace:egi.eu:www.egi.eu:c
c-epos:member@egi.eu;urn:mace:egi.eu:www.egi.eu:service-orders:member@egi.eu;urn:mace:egi.eu:www.egi.eu:vt-fed
data:member@egi.eu;urn:mace:egi.eu:www.egi.eu:sw-rel-sr:member@egi.eu;urn:mace:egi.eu:www.egi.eu:svg-rat :membe
r@egi.eujurn:mace:egi.eu:www.egi.eu:cc-dariah:member@egi.eu;urn:mace:egi.eu:www.egi.eu:egi-engage-wp4:memberle
gil.euj;urn:mace:egi.eu:www.egl.eu:egi-engage-wpb6:member@egi.eu;urn:mace:egi.eu:www.egi.eu:umd-team:member@egi.e
u;urn:mace:egi.eu:www.egi.eu:fedcloud-tf:member@egi.eu;urn:mace:egi.eu:www.egi.eu:fondacloud:member@egi.eu;urn
:mace:egi.eu:www.egi.eu:fc-federated-aai:member@egi.eu;urn:mace:egi.eu:www.egi.eu:fedcloud-devel :memberlegi.eu
jurn:mace:egi.eu:www.egi.eu:EOSC-hub-access:memberfegi.eu;urn:mace:egi.eu:www.egi.eu:UCB-discuss:member@egi.eu
jurn:mace:egi.eu:www.egi.eu:fc-usersupport :member@egi.eu;urn:mace:egi.eu:www.egi.eu:cc-elixir:member@egi.eu;ur
n:mace:egi.eu:www.egi.eu:csirt:member@egi.eu;urn:mace:egi.eu:www.egi.eu:noc-managers:member@egi.eu;urn:mace:eqg
i.eu:www.egi.eu:nagios—-discuss:member@egi.euj;urn:mace:egi.eu:www.egi.eu:ggus—authors:member@egi.eu;urn:mace:eg
i.eu:www.egil.eu:cc-bbmri:member@egi.eu;urn:mace:egi.eu:www.egi.eu:egi-engage-wp6.1l:member@egi.eu;urn:mace:egi.
eu:www.egi.eu:vt-funded-all :member@egi.eu;urn:mace:egi.eu:www.egi.eu:egi-engage-wp4.3:member@egi.eu;urn:mace:e
gil.eu:www.egl.eu:egi-engage-wp4.2:member@egi.eu;urn:mace:egi.eu:www.egi.eu:appdb-atb:memberlegi.eu;urn:mace:eg
i.eu:www.egi.eu:VM-image-endorsement :member@egi.eu;urn:mace:egi.eu:www.egi.eu:service-request :member@egi.eu;ur
n:mace:egi.eu:www.egi.eu:urt-discuss:member@egi.eu;urn:mace:egi.eu:www.egi.eu:ngi-international-liaisons:membe
r@egi.eujurn:mace:egi.eu:www.egi.eu:tcb-coreinfrastructure:member@egi.eu;urn:mace:egi.eu:www.egi.eu:hbp:member
@egi.eujurn:mace:egi.eu:www.egi.eu:vm-endorsers:member@egi.eu;urn:mace:egi.eu:www.egi.eu:esa-teiss:member@egi.
eu;urn:mace:egi.eu:www.egi.eu:notebooks-support :member@egi.eu;urn:mace:egi.eu:www.egi.eu:fedcloud-security-con
tact:member@egi.eu;urn:mace:egi.eu:www.egi.eu:cloud-compute_watchers:member@egi.eu;urn:mace:egi.eu:www.egi.eu:
mpi-support :member@egi.eu;urn:mace:egi.eu:www.egi.eu:fedcloud-users:member@egi.eu;urn:mace:egi.eu:www.egi.eu:g
alaxy-jupyter-pilots:member@egi.eu;urn:mace:egi.eu:www.egi.eu:vt—-gapf:member@egi.eu;urn:mace:egi.eu:www.egi.eu
:wiki-editors:member@egi.eu;urn:mace:egi.eu:www.egi.eu:report-vulnerability:member@egi.eu;urn:mace:egi.eu:www.
egi.eu:egi-emso:member@egi.eu;urn:mace:egi.eu:www.egi.eu:inspire-members:memberf@egi.eu;urn:mace:egi.eu:www.egi
.eu:sw-rel-admin:member@egi.eu;urn:mace:egi.eu:www.egi.eu:engage-report :member@egi.eu;urn:mace:egi.eu:www.egi.
eu:fedcloud-integration:member@egi.eu;urn:mace:egi

[Fri Jan 18 13:18:42.807093 2019] [proxy_ajp:error] [pid 10609:tid 139679642904320] [client 146.48.122.115:480
77] AH00988: ajp_send_header: ajp_marshal_into_msgb failed, referer: https://aai.egi.eu/proxy/module.php/conse
nt/getconsent .php?StateId=_49534374c6d0c72£7a35b8a2d9504da9d042547648%3Ahttps%$3A%2F%2Faai.egi.eu%2Fproxy%$2Fsam
12%2Fidp%2FSSOService.php%3Fspentityid$3Dhttps%$253A%252F%252Fshibbolet-sp.d4science.org%$252Fshibboleth%26cooki
eTime%3D1547813916%26RelayState%$3Dss%$253Amem%253A1cf945f841cfe5f205b76a4703aa2d46a9c80e35aeael252760c5£6£36£d8
78l&yes=

[Fri Jan 18 13:18:42.807103 2019] [proxy_ajp:error] [pid 10609:tid 139679642904320] (120001)APR does not under
stand this error code: [client 146.48.122.115:48077] AH00868: request failed to (null) (*), referer: https://a
ai.egi.eu/proxy/module.php/consent/getconsent .php?Stateld=_49534374c6d0c72f7a35b8a2d9504da9d042547648%3Ahttps%
3A%2F%2Faai.egl.eu%2Fproxy%$2Fsaml2%2Fidp%$2FSSOService.php%3Fspentityid%3Dhttps%$253A%252F%252Fshibbolet-sp.d4sc
ience.org%252Fshibboleth%26cookieTime%3D1547813916%26RelayState%3Dss%253Amem%253A1cf945£841cfe5£205b76a4703aa2
d46a9c80e35aeael252760c5f6£36£d8781l&yes=
